Bug 80447 - tableitem does not display on blackberry emulator
tableitem does not display on blackberry emulator
Status: CLOSED FIXED
Product: javame
Classification: Unclassified
Component: Visual Designer
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Martin Brehovsky
issues@mobility
5.5_fix
:
: 98470 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 02:58 UTC by gz4p9c
Modified: 2009-01-15 13:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
project showing the settings of the colors on device (164.47 KB, application/x-compressed)
2006-07-24 15:42 UTC, Lukas Hasik
Details
blackberry device color settings screenshot (149.05 KB, image/jpeg)
2006-07-24 15:43 UTC, Lukas Hasik
Details
project using the ColorSchema (13.30 KB, application/x-compressed)
2007-03-28 09:59 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gz4p9c 2006-07-18 02:58:19 UTC
Using the tableitem on a screen displays properly on the default color phone
from the WTK. When I change the environment to use a "BlackBerry" (The target
for the app I am developing) - I just get a black box where the table should be.
I really like the netbeans environment but this would be a showstopper for me.
Any type of work around would be appreciated. Thanks.
Comment 1 Peter Pis 2006-07-23 20:57:31 UTC
Reassigning to "mobility" for evaluation.
Comment 2 Lukas Hasik 2006-07-24 10:35:01 UTC

*** This issue has been marked as a duplicate of 79625 ***
Comment 3 Lukas Hasik 2006-07-24 15:27:44 UTC
reopening - this has different cause than the another issue.

It is problem of the BlackBerry emulator. It returns wrong values for 
Display.COLOR_BACKGROUND
Display.COLOR_BORDER
Display.COLOR_FOREGROUND
Display.COLOR_HIGHLIGHTED_BACKGROUND
Display.COLOR_HIGHLIGHTED_BORDER
Display.COLOR_HIGHLIGHTED_FOREGROUND

I'll attaching test project that displays the properties setting in emulator and
screenshot of the project run. 
Comment 4 Lukas Hasik 2006-07-24 15:42:16 UTC
Created attachment 32152 [details]
project showing the settings of the colors on device
Comment 5 Lukas Hasik 2006-07-24 15:43:11 UTC
Created attachment 32153 [details]
blackberry device color settings screenshot
Comment 6 Lukas Hasik 2006-07-24 15:44:35 UTC
actually the BB doesn't return "wrong" values of colors but only 0.

Comment 7 Martin Brehovsky 2006-07-26 17:13:22 UTC
This a bug of the device/emulator. For release55 I'm planning to add ColorSchema
class, which can be used by the user to override colors for custom components
provided by NetBeans. So in the case of RIM, the user can redefine the colors
for the table.

Fixed in private branch, will be merged to release55
Comment 8 Martin Brehovsky 2006-08-03 08:32:04 UTC
ColorSchema is available, so now it is possible to create a custom color schema
and assign it to TableItem component. (You must do it manually, though, there is
no direct support in the designer).
Comment 9 Lukas Hasik 2006-09-14 10:05:16 UTC
please don't forget to set the right Target Milestone
Comment 10 Lukas Hasik 2007-03-21 13:53:18 UTC
*** Issue 98470 has been marked as a duplicate of this issue. ***
Comment 11 Lukas Hasik 2007-03-21 13:54:14 UTC
*** Issue 98470 has been marked as a duplicate of this issue. ***
Comment 12 Lukas Hasik 2007-03-28 09:59:14 UTC
Created attachment 40071 [details]
project using the ColorSchema
Comment 13 Lukas Hasik 2007-03-28 10:00:06 UTC
verified in RC1 5.5.1
Comment 14 Ivan Sidorkin 2009-01-15 13:36:41 UTC
closing old issues


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo